// ImpEfPrdDlg.cpp : implementation file
//

#include "stdafx.h"
#include "psm.h"
#include "ImpEfPrdDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CImpEfPrdDlg dialog


CImpEfPrdDlg::CImpEfPrdDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CImpEfPrdDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CImpEfPrdDlg)
	m_id = _T("");
	m_ver = _T("");
	m_name = _T("");
	m_data=0;
	m_prd=0;
	m_pdf=0;
	//}}AFX_DATA_INIT
}


void CImpEfPrdDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CImpEfPrdDlg)
	DDX_Text(pDX, IDC_ID, m_id);
	DDX_Text(pDX, IDC_VER, m_ver);
	DDX_Text(pDX, IDC_NAME, m_name);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CImpEfPrdDlg, CaplTranslateDialog)
	//{{AFX_MSG_MAP(CImpEfPrdDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CImpEfPrdDlg message handlers

void CImpEfPrdDlg::OnOK()
{
	UpdateData(TRUE);
	if(0!=m_data)
	{
		// запрещено переименовывать обозначение изделия на обозначение изделия уже присутствующего в импортируемом ЭСИ.
		int i;
		CString sId,sId0;
		sId0=m_id; sId0.MakeLower();
		aplExtent ext_prd, ext_pdf;

		m_data->GetEntityExtentBN(_T("product"),ext_prd);
		for(i=0;i<ext_prd.Size;i++)
		{
			if(m_prd==ext_prd[i]) continue;
			m_data->GetAttrBN(ext_prd[i],S::id,sId);
			sId.MakeLower();
			
			if(sId0==sId)
			{
				AfxMessageBox(APL_T("Запрещено переименовывать обозначение изделия на обозначение изделия\nуже присутствующего в импортируемом ЭСИ!"),MB_OK|MB_ICONSTOP);
				return;
			}
		}
	}

	CaplTranslateDialog::OnOK();
}
